#pragma once

#include "Enum.h"

class WorkGroupController;
class WorkGroupModel;
class CWorkGroupDlg;
class CAddUserDlg;
class MainFrame;
class CAddChatWnd;

class WorkGroupView
{
public:
	WorkGroupView(WorkGroupController* pController, WorkGroupModel* pModel);
	~WorkGroupView(void);

	void InitView(MainFrame* pFrame);
	void SetORGGroupMemberList(CString strParentID, CString strID);
	void SetRequestSearch(CString strWord);
	bool IsCreated();
	void Create(ORGVIEWTYPE eViewType);
	bool OpenAddUserDlg(CWnd *pParent, int nType);
	bool OpenAddUserDlg(WindowImplBase* pParent, int nType);
	void Show(ORGVIEWTYPE eViewType);
	void CreateSearchResult(const CString& strSearchText);
	void Close();
	void CloseAddUserDlg();
	void SetLanguagePack();
	const CString GetMemberName(const CString& strUserID) const;
	void ChangeMyStatus(GTUserStatusType eMyStatus);
	CWnd* GetWorkGroupDlg()	{ return (CWnd*)m_pWorkGroupDlg; }

	void InitWorkGroup();
	void InitOrgGroup(MemberGroupListAction orgAction);
	void InitMemberList(bool bSearchList, MemberSearchAction action);
	void InitAddUserList();

	void UpdateMemberStatus(LPCWSTR strUserId);
	void UpdateMemberIPTStatus(LPCWSTR strUserId);

	void SetReadOnly(BOOL bStatus);
	void RefreshButtonStatus();
	CAddChatWnd* GetAddChatWnd(){return m_pAddChatWnd;}

private:
	WorkGroupController* m_pController;
	WorkGroupModel*	m_pModel;
	CWorkGroupDlg*	m_pWorkGroupDlg;
	CAddUserDlg*	m_pAddUserDlg;
	MainFrame*		m_pMainFrame;
	CAddChatWnd*	m_pAddChatWnd;
};
